﻿(c) 2019 Nicolas Dufresne and contributors  
Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided the copyright
notice and this notice are preserved.  This file is offered as-is,
without any warranty.

# DuIO

Duduf Import and Export Tools for Adobe After Effects

## Supported versions of After Effects 

DuIO has been tested and is working with all versions of After Effects since CC2018. That means it works correctly on:
CC2018 (15), CC2019 (16) and upcoming versions.

It is also known to be working decently on CS6 (11), CC (12), CC2014 (13), CC2015 (13.5), CC2017 (14), but you can't be sure, and Duik does not officially support these versions.

!!! Note: CS6 has a lot of issues with Script Panels like the one used by Duik. Duik will work on CS6, but you may have to close and re-open it often to fix the UI issues you may have... You also have to know that the performance is pretty poor with CS6.

### Not supported

All versions before CS6 won't be able to correctly run Duik, sorry! Time to update...

# Installation

## **1 - Download** DuIO from the [official website](https://rainboxlab.org/).

## **2 - Unzip** the files you have downloaded.

## **3 -** There are several ways to install DuIO very easily:  

### a. Copy the files

Copy all the files from the *ScriptUI Panels* folder to:

- Windows: `C:\Program Files\Adobe\Adobe After Effects CC\Support Files\Scripts\ScriptUI Panels\`  
- Mac OS: `/Applications/Adobe After Effects CC/Scripts/ScriptUI Panels`

You may need administrator privileges to install DuIO this way. If you don't have them, see the other ways below.

!!! Warning
    With the other installation methods, some features using third party tools, like transcoding sound when exporting to Adobe Audition, may not work correctly.

### b. Shortcut for After Effects CC2018 and more recent

- Open After Effects  
- *Windows*: Holding the [Alt] and [Shift] keys, drag and drop the file `DuIO.jsx` onto the project panel.  
- *Mac OS*: Holding the [Options] and [Shift] keys, drag and drop the file `DuIO.jsx` onto the project panel.  

### c. Using the menu for After Effects CC2019 and more recent

- Open After Effects  
- Use the `File/Scritps/Install ScriptUI Panel...` menu to select and install `DuIO.jsx`.  

## **4 - Restart** After Effects and Duik will be available in the "Window" menu.

# Without installation 

You'll always be able to run DuIO without even installing it. This is a good way to use it if you do not have administrator privileges on an older version of After Effects.

- Unzip all the files in any folder.  
- Launch After Effects, and start DuIO via the `File/Scripts/Run script file...` menu.
